DevelopersAPIReferencecomments
Update comment
Update a comment with the Walletguide REST API. Parameters, response fields, and a playground you can run.
PATCH
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidid*stringRow uuid
Format
uuidapplication/json- body
text?stringLength
1 <= lengthtaggedUserIds?array<>likedUserIds?array<>The updated comment
application/json- response
id*stringFormat
uuidwalletId*stringFormat
uuidfirestoreId*string|nulltransactionId*stringFormat
uuidtext*stringtaggedUserIds*array<string>likedUserIds*array<string>createdTime*|Format
date-timecreatedUserId*string|nulllastUpdatedTime*|Format
date-timelastUpdatedUserId*string|nullcurl -X PATCH 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "transactionId": "75906707-8c31-479c-b354-aa805c4cefbc", "text": "string", "taggedUserIds": [ "string" ], "likedUserIds": [ "string" ], "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string"}